## org.eclipse.emf.compare.ui
Class TypedElementWrapper

    java.lang.Object
      org.eclipse.emf.compare.ui.TypedElementWrapper

All Implemented Interfaces:
  org.eclipse.compare.ITypedElement

    public class TypedElementWrapper

extends java.lang.Object
implements org.eclipse.compare.ITypedElement

Basic wrapper for an `ITypedElement`.

Field Summary

Fields inherited from interface org.eclipse.compare.ITypedElement
`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

Constructor Summary
`TypedElementWrapper(org.eclipse.emf.ecore.EObject eObject)` Constructs an instance given the object to wrap.

Method Summary
`org.eclipse.swt.graphics.Image` `getImage()`
`java.lang.String` `getName()`
`org.eclipse.emf.ecore.EObject` `getObject()` Returns the object wrapped within this `TypedElementWrapper`.
`java.lang.String` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedElementWrapper

    public TypedElementWrapper(org.eclipse.emf.ecore.EObject eObject)

  Constructs an instance given the object to wrap.

  Parameters:
    `eObject` - Object to wrap as an `ITypedElement`.

Method Detail

### getImage

    public org.eclipse.swt.graphics.Image getImage()

  Specified by:
    `getImage` in interface `org.eclipse.compare.ITypedElement`
  See Also:
    `ITypedElement.getImage()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.compare.ITypedElement`
  See Also:
    `ITypedElement.getName()`

### getObject

    public org.eclipse.emf.ecore.EObject getObject()

  Returns the object wrapped within this `TypedElementWrapper`.

  Returns:
    The object wrapped within this `TypedElementWrapper`.

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `org.eclipse.compare.ITypedElement`
  See Also:
    `ITypedElement.getType()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.